スマートフォンやhtml5+CSS3など新技術に四苦八苦。jQuery、AjaxなどJavaScriptも難しいですね。そんなWebに悩む人のネタ帳です。

「MovableType3.3を改修してほしい」という依頼を受けました。
作業する側としては、開発環境としてMT3のサーバを用意したいのですが、環境を構築しようにも、すでにMT3はダウンロードができない状態。
「Movable Type 3.x のダウンロードは2008年12月26日をもって終了しました。」
http://www.ecbuyers.com/b2c/catalog/default.php?cPath=28_127

ここは、ベンダーとしてMT4へのアップグレードを進めたいところですが、クライアントとしては費用を抑えたい一心なのです。うまくメリットを伝えたいところですが、ぶっちゃけ、言うほどメリットもないんですよね。つまり、機能的にはMT3でも十分なわけです。
PHPも同じくPHP4のサポートが終了し、PHP5での運用が奨励されています。
http://www.phppro.jp/news/403
技術屋からしたらPHP5で仕事をしたいのですが、いかんせんPHP4のシステムはたくさん残っており、未だに多くのPHP4のコードを書いていたりします。
Windows XPが根強く、Windows Vistaへの移行がスムーズではなかったり、その他にも似たような例はあります。
つまりは、現状で「ある程度満足」なんですよね。アップグレードすることで劇的に良くなるわけでもなく、そのコストよりは現状維持を選ぶわけです。
そんな中、Windows7やPHP6へのアップグレードが予定されていますが、どれほど需要や期待があるんでしょうかね。
このエントリーをはてなブックマークに追加

Comment

Comment Form

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

Monthly Archives

Search